[Overview][Classes][Procedures and functions][Index] | Reference for unit 'fpmimetypes' (#fcl)

# MimeTypes

Global TFPMimeTypes instance

## Declaration

Source position: fpmimetypes.pp line 80

`function MimeTypes: TFPMimeTypes;`

## Function result

A TFPMimeTypes instance.

## Description

MimeTypes returns a global instance of the TFPMimeTypes class. It is not initialized with a list of extensions, so this instance must still be explicitly initialized with TFPMimeTypes.LoadKnownTypes

This function is not thread-safe, so be sure to call it once from the main thread and initialize the resulting list.

## See also

TFPMimeTypes |  | Class to manage list of mime type mappings
TFPMimeTypes.LoadKnownTypes |  | Queries the OS for a list of known MIME types